libzypp: zyppng::detail::make_state_set_helper< VariantSoFar, Head > Struct Template Reference

libzypp 17.36.6

Public Types | List of all members
zyppng::detail::make_state_set_helper< VariantSoFar, Head > Struct Template Reference

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | WithSource = typename add_type_to_collection< std::variant, typename Head::SourceType, VariantSoFar, !VariantHasType<VariantSoFar, typename Head::SourceType>() >::Type
using | Type = typename add_type_to_collection< std::variant, typename Head::TargetType, WithSource, !VariantHasType<WithSource, typename Head::TargetType>() >::Type
using | WithSource
using | WithTarget
using | Type

## Detailed Description

template<typename VariantSoFar, typename Head>
struct zyppng::detail::make_state_set_helper< VariantSoFar, Head >

Definition at line 149 of file statemachine.h.

## Member Typedef Documentation

## ◆ WithSource [1/2]

template<typename VariantSoFar, typename Head>

using zyppng::detail::make_state_set_helper< VariantSoFar, Head >::WithSource = typename add_type_to_collection< std::variant, typename Head::SourceType, VariantSoFar, !VariantHasType<VariantSoFar, typename Head::SourceType>() >::Type

Definition at line 150 of file statemachine.h.

## ◆ Type [1/2]

template<typename VariantSoFar, typename Head>

using zyppng::detail::make_state_set_helper< VariantSoFar, Head >::Type = typename add_type_to_collection< std::variant, typename Head::TargetType, WithSource, !VariantHasType<WithSource, typename Head::TargetType>() >::Type

Definition at line 151 of file statemachine.h.

## ◆ WithSource [2/2]

using zyppng::detail::make_state_set_helper< VariantSoFar, Head, Transitions >::WithSource

Definition at line 143 of file statemachine.h.

## ◆ WithTarget

using zyppng::detail::make_state_set_helper< VariantSoFar, Head, Transitions >::WithTarget

Definition at line 144 of file statemachine.h.

## ◆ Type [2/2]

using zyppng::detail::make_state_set_helper< VariantSoFar, Head, Transitions >::Type

Definition at line 145 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h